var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { OComponentData } from '../o-component-data.class';
var OComponentDataLayout = (function (_super) {
    __extends(OComponentDataLayout, _super);
    function OComponentDataLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    OComponentDataLayout.prototype.isContainer = function () {
        return true;
    };
    OComponentDataLayout.prototype.getTemplateInputsData = function () {
        var templateInputsData = _super.prototype.getTemplateInputsData.call(this);
        templateInputsData['title'] = {
            type: 'string',
            label: 'title',
            tooltip: '',
            default: null,
            required: false
        };
        templateInputsData['layout-align'] = {
            type: 'combo',
            label: 'layout-align',
            tooltip: '',
            default: 'start start',
            required: false,
            values: [
                'start start',
                'start center',
                'start end',
                'start stretch',
                'center start',
                'center center',
                'center end',
                'center stretch',
                'end start',
                'end center',
                'end end',
                'end stretch',
                'space-around start',
                'space-around center',
                'space-around end',
                'space-around stretch',
                'space-between start',
                'space-between center',
                'space-between end',
                'space-between stretch'
            ]
        };
        templateInputsData['elevation'] = {
            type: 'number',
            label: 'elevation',
            tooltip: '',
            default: 0,
            required: false
        };
        templateInputsData['icon'] = {
            type: 'string',
            label: 'icon',
            tooltip: '',
            default: null,
            required: false
        };
        templateInputsData['layout-gap'] = {
            type: 'string',
            label: 'layout-gap',
            tooltip: '',
            default: '8px',
            required: false
        };
        return templateInputsData;
    };
    return OComponentDataLayout;
}(OComponentData));
export { OComponentDataLayout };
//# sourceMappingURL=o-component-data-layout.class.js.map