import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { MENU_JSON_DATA } from '../assets/menu.data';
var AppMenuService = (function () {
    function AppMenuService() {
        this.resultSubject = new BehaviorSubject(MENU_JSON_DATA);
    }
    AppMenuService.prototype.getMenu = function () {
        return this.resultSubject;
    };
    AppMenuService.decorators = [
        { type: Injectable },
    ];
    return AppMenuService;
}());
export { AppMenuService };
//# sourceMappingURL=app-menu.service.js.map